## org.eclipse.xsd
Interface XSDModelGroup

All Superinterfaces:
  EObject, Notifier, XSDComponent, XSDConcreteComponent, XSDParticleContent, XSDTerm

All Known Implementing Classes:
  XSDModelGroupImpl

    public interface XSDModelGroup

extends XSDTerm

A representation of the model object 'Model Group'.

The following features are supported:

- `Compositor`
- `Annotation`
- `Contents`
- `Particles`

See Also:
  `XSDPackage.getXSDModelGroup()`

Method Summary
`XSDAnnotation` `getAnnotation()` Returns the value of the 'Annotation' containment reference
`XSDCompositor` `getCompositor()` Returns the value of the 'Compositor' attribute.
`EList<XSDParticle>` `getContents()` Returns the value of the 'Contents' containment reference list.
`EList<XSDParticle>` `getParticles()` Returns the value of the 'Particles' reference list.
`void` `setAnnotation(XSDAnnotation value)` Sets the value of the '`Annotation`' containment reference
`void` `setCompositor(XSDCompositor value)` Sets the value of the '`Compositor`' attribute

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCompositor

    XSDCompositor getCompositor()

  Returns the value of the 'Compositor' attribute. The literals are from the enumeration `XSDCompositor`.

  This represents the compositor infoset property.

  Returns:
    the value of the 'Compositor' attribute.
  See Also:
    `XSDCompositor`, `setCompositor(XSDCompositor)`, `XSDPackage.getXSDModelGroup_Compositor()`

### setCompositor

    void setCompositor(XSDCompositor value)

  Sets the value of the '`Compositor`' attribute.

  Parameters:
    `value` - the new value of the 'Compositor' attribute.
  See Also:
    `XSDCompositor`, `getCompositor()`

### getAnnotation

    XSDAnnotation getAnnotation()

  Returns the value of the 'Annotation' containment reference.

  This represents the annotation infoset property.

  Returns:
    the value of the 'Annotation' containment reference.
  See Also:
    `setAnnotation(XSDAnnotation)`, `XSDPackage.getXSDModelGroup_Annotation()`

### setAnnotation

    void setAnnotation(XSDAnnotation value)

  Sets the value of the '`Annotation`' containment reference.

  Parameters:
    `value` - the new value of the 'Annotation' containment reference.
  See Also:
    `getAnnotation()`

### getContents

    EList<XSDParticle> getContents()

  Returns the value of the 'Contents' containment reference list. The list contents are of type `XSDParticle`.

  This concrete reference represents the `particle contents` defined within the body of a sequence, choice, or all element.

  Returns:
    the value of the 'Contents' containment reference list.
  See Also:
    `XSDPackage.getXSDModelGroup_Contents()`

### getParticles

    EList<XSDParticle> getParticles()

  Returns the value of the 'Particles' reference list. The list contents are of type `XSDParticle`.

  This represents the particles infoset property.

  Returns:
    the value of the 'Particles' reference list.
  See Also:
    `XSDPackage.getXSDModelGroup_Particles()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.